import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class WorldOne here.
 * 
 * @author David Monroe 
 * @version 9/25/11
 */
public class WorldOne extends World
{
private int numberOfPickups = 10;   // Win condition located in the RedCar class.
private int numberOfMen = 3;
    /**
     * Constructor for objects of class WorldOne.
     * 
     */
    public WorldOne()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        populateWorld(numberOfMen, numberOfPickups);
    }
    
    /**
     * Populates world with the given numbers of each item. (Except the red car, which there is only one of.)
     */
    public void populateWorld(int numberOfMen, int numberOfPickups)
    {
        addObject(new RedCar(), 150, 200);
        
        for (int i = 0; i < numberOfMen; i++) {
        addObject(new BlueMan(),(Greenfoot.getRandomNumber(getWidth() - 80) + 25) , (Greenfoot.getRandomNumber(getHeight() - 80) + 25));
        }
        
        for (int i = 0; i < numberOfPickups; i++) {
            addObject(new Pickup(),(Greenfoot.getRandomNumber(getWidth() - 80) + 25) , (Greenfoot.getRandomNumber(getHeight() - 80) + 25));
        }
    }
    
}
