import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Pickup here.
 * 
 * @author David Monroe 
 * @version 9/25/11
 */
public class Pickup extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int count;

    /**
     * Creates a pickup item and initializes its variables.
     */
    public Pickup()
    {
        image1 = new GreenfootImage("red-draught.png");
        image2 = new GreenfootImage("yellow-draught.png");
        setImage(image1);
        count = 0;
    }

    /**
     * Act - do whatever the Pickup wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        updateImage();
    }

    /**
     * Alternates between two images every ten calls of the act() method.
     */
    public void updateImage()
    {
        if (count == 10) {
            if (getImage() == image1) {
                setImage(image2);
            } else {
                setImage(image1);
            }
            count = 0;
        } else {
            count++;
        }
    }
}
